Bug 838679 - perl-Plack: EL-6 build
perl-Plack: EL-6 build
Status: NEW
Product: Fedora EPEL
Classification: Fedora
Component: perl-Plack (Show other bugs)
el6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jose Pedro Oliveira
Fedora Extras Quality Assurance
:
Depends On: 783740
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-09 15:05 EDT by Jose Pedro Oliveira
Modified: 2016-02-10 11:38 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jose Pedro Oliveira 2012-07-09 15:05:39 EDT
Summary:
Description of the problems that need to be solved in order to build perl-Plack for EPEL-6:

 * missing perl module in PPC64
 * perl module too old in the main RHEL repositories
 * system perl too old in the main RHEL repositories 


Additional info:
Previous work done on ticket (#729504):

  * perl-Dancer: please update to version 1.3071
    https://bugzilla.redhat.com/show_bug.cgi?id=729504
Comment 1 Jose Pedro Oliveira 2012-07-09 15:38:21 EDT
Problems:

 * system perl is too old for certain packages

   RHEL6 ships with perl 5.10.1


 * The core perl module Test::More is definitely too old; this is also a core 
   RHEL package (perl-Test-Simple-0.92)

   Lots of perl modules require a more recent version of Test::More in order
   to successfully run their test suites.

   
 * perl-Authen-Simple, which is already available in epel-testing, requires
   perl(Crypt::PasswdMD5) and this module isn't available in the RHEL PPC64 
   repositories.

   I'm amazed how koji allowed me to build and push to epel-6-testing 
   perl-Authen-Simple-0.4-5.el6 and perl-Authen-Simple-Passwd-0.6-2.el6.

   Possible solution: build for EPEL6 the RHEL perl package but with a lower
   release number.


 * perl-Devel-StackTrace-AsHTML: IIRC requires a more recent version of 
   perl-Devel-StackTrace than the one available in the RHEL optional channels


 * some versions of perl-Plack can be build if:
     1) the Devel-StackTrace-AsHTML module is built without running its
        test suite
     2) the version is dropped from the Devel-StackStrace build requirement

    Build status of perl-Plack packages (several months old):
      - perl-Plack-0.9974-2 (OK)
      - perl-Plack-0.9977-1 (fails to build)
      - perl-Plack-0.9980-1 (test warnings)
      - perl-Plack-0.9982-1 (OK)
      - perl-Plack-0.9984-1 (OK)


 * perl-Dancer 1.3071
    - which requires perl-Plack
    - requires a more recent version of Test::More
    - the singleton test fails under perl 5.10.1 (?)
Comment 2 Xavier Bachelot 2012-07-10 10:03:08 EDT
Thanks for the comprehensive summary. Looks like this will be a though one.
About the missing PPC64 packages, this is a pain, but that can be dealt with.
About the test suites, I think it should be acceptable to selectively disable tests that are failing because of the unmet dependencies. What do you think ?
Comment 3 Ralf Corsepius 2012-07-10 10:28:28 EDT
(In reply to comment #2)
> About the test suites, I think it should be acceptable to selectively
> disable tests that are failing because of the unmet dependencies. What do
> you think ?

This may let packages get away with unnoticed bugs and issues. I'd consider this to be prohibitive, because Plack and its infrastructure are pretty comprehensive and security sensitive.

Openly said, based on what I went through on Fedora (A need to closely track the upstream versions of several perl-Plack perl dependency), I do not see much chances of getting Plack into epel6 without major general upgrades to many other epel6 perl-modules (and may-be perl itself).
Comment 4 Jose Pedro Oliveira 2012-07-10 12:13:08 EDT
(In reply to comment #2)
> Thanks for the comprehensive summary. Looks like this will be a though one.
> About the missing PPC64 packages, this is a pain, but that can be dealt with.

This problem appears to be the easiest to fix.

> About the test suites, I think it should be acceptable to selectively
> disable tests that are failing because of the unmet dependencies. What do
> you think ?

I'm with Ralf on this one: we should strive to successfully run all the module tests.


In order to have perl-Plack in EPEL-6 we need to accomplish the following steps:


 1) perl-Crypt-PasswdMD5 needs to be in the EPEL-6 PPC64 repositories

    Action:
    import and build perl-Crypt-PasswdMD5 for EPEL-6 with a lower release 
    than the one existing in the RHEL channels. TODO: check if there are 
    modules missing in the PPC64 repos.

    RHEL 6.x SRPM:
    ftp://ftp.redhat.com/pub/redhat/linux/enterprise/6Server/en/os/SRPMS/perl-Crypt-PasswdMD5-1.3-6.el6.src.rpm


  2) perl-Devel-StackTrace needs to be updated to a more recent version
     (at least version 1.23)

     RHEL 6.x SRPM:
     ftp://ftp.redhat.com/pub/redhat/linux/enterprise/6Server/en/os/SRPMS/perl-Devel-StackTrace-1.22-4.el6.src.rpm


  3) perl-Test-Simple (Test::More) needs to be updated to a more recent version
     (ideally from version 0.92 to 0.98)

     Caveats:
     The update must be done to the perl package;
     a patch - perl-update_Test-Simple.patch - needs to added

     RHEL 6.x SRPM:
     ftp://ftp.redhat.com/pub/redhat/linux/enterprise/6Server/en/os/SRPMS/perl-5.10.1-127.el6.src.rpm


Although only the first two steps are really mandatory, the third is also highly recommend due to the complexity and security problems of the Plack stack (as Ralf pointed in the previous comment): several modules may need to be updated regularly and some of these updates will need a more recent version of Test::More.

I believe the first step can be performed by us. The second and the third steps will need to be performed by Red Hat packagers and most likely in sync with major RHEL releases.

/jpo
Comment 5 Clément OUDOT 2016-02-10 04:36:22 EST
Hi,

I would like to know if we can hope to have Perl-Plack in EL6? 

It seems step 1 is done (783740)

Is someone working on steps 2 and 3?
Comment 6 Petr Pisar 2016-02-10 10:58:36 EST
Very probably nobody works on them. You would have to file a request to Red Hat's support and provide strong justification why rebaseing code that works for others is important. I believe support would recommend you Red Hat Software Collections where you can get recent perl and some other Perl modules.
Comment 7 Clément OUDOT 2016-02-10 11:38:51 EST
We need it to package LemonLDAP::NG (http://www.lemonldap-ng.org). It works on CentOS 7 but not on CentOS 6.

I was hoping Red Hat community could help us on this subject, without the need to use support.

Note You need to log in before you can comment on or make changes to this bug.